% Identifies the best scaled ground motion to be used with the greedy
% algortihm

function [scaleFac minDev] = bestScaleFactor(sampleBigCurr,sampleSmall,meanReq,sigma,weights,maxScale)

scales = 0.1:0.1:maxScale;
minDev = 100000;

for i=1:length(scales)

    sampleSmallNew = [sampleSmall;sampleBigCurr+log(scales(i))];

    % Compute deviations from target
    devMean = mean(sampleSmallNew) - meanReq;
    devSig = std(sampleSmallNew) - sigma;
    devTotal = weights(1) * sum(devMean.^2) + weights(2) * sum(devSig.^2);
    
    if (devTotal < minDev) 
        minID = i;
        minDev = devTotal;
    end
    
end

if minDev == 100000; 
    scaleFac = -99;
else
    scaleFac = scales(minID);

end

